MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002282VCMIMechanics - Battlespublic2015-10-05 18:422017-07-15 09:49
ReporterPovelitel 
Assigned ToAVS 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platform64OSWindowsOS VersionXP sp2
Product Version0.98d 
Target VersionFixed in Version0.99 
Summary0002282: If the unit hang up spells and then this unit is killed, it will be restored and archangels, these spells will not be lost.
DescriptionЕсли на юнит повесить заклинания, а потом этот юнит убьют, и архангелы его восстановят, то эти заклинания никуда не пропадут.
TagsNo tags attached.
Attached Files

- Relationships
related to 0002280closedAVS Disripting ray 

-  Notes
(0005914)
AVS (administrator)
2015-10-05 21:05

But Disrupting Ray effect should remain after resurrect.
(0005916)
Povelitel (updater)
2015-10-05 21:08

I did cast the shield and bless
(0005919)
AVS (administrator)
2015-10-05 21:16

Кстати, сниматься должны только негативные эффекты. Это работает или тоже нет?
(0005920)
AVS (administrator)
2015-10-05 21:17

(Comment about Disrupting Ray is for me)
(0005921)
Povelitel (updater)
2015-10-05 21:21
edited on: 2015-10-05 21:31

Ты про луч спрашиваешь или что? Он не снимается до конца боя НИЧЕМ (даже черным шаром) в этом его фишка + имеет накопительный эффект, то есть можно защиту юнита довести до нуля.

А если про существ, которых можно воскресить архами, то я кастовал на них естественно положительные заклинания. И после убийства стека, а потом воскрешения, они на них висели. Хотя в соде, ни архи, ни резурект как заклинание, не сохраняет никаких бонусов после воскрешения.

(0005922)
AVS (administrator)
2015-10-05 22:31

С лучом все понятно. Я про остальное: у нас в коде явно написано, что при воскрешении удаляются только отрицательные эффекты. Пока считаю это фичей, есть возражения?
(0005929)
Povelitel (updater)
2015-10-06 09:28

Ну, если это в коде прописано так и тяжело менять, то нет вопросов. А вообще, по логике это странно. Накастовать в процессе боя кучу всего, потом какой то стек убивают, и тут вуаля резурект и на нем все это опять висит. С чего бы такие бонусы?
(0005930)
AVS (administrator)
2015-10-06 11:03

Это менять не тяжело :)
(0006731)
AVS (administrator)
2016-09-24 06:51

Понял в чем проблема. Это у архангела есть дополнительный эффект лечения (если стак не был мертв) и для этого там такой код, обычное воскрешение должно всё снимать.
(0006732)
AVS (administrator)
2016-09-24 07:08

Fixed in https://github.com/vcmi/vcmi/commit/7874dffa7dff7d44ab99518f12a5c7999ceed5d9 [^]

- Issue History
Date Modified Username Field Change
2015-10-05 18:42 Povelitel New Issue
2015-10-05 18:42 Povelitel Status new => assigned
2015-10-05 18:42 Povelitel Assigned To => AVS
2015-10-05 21:04 AVS Relationship added related to 0002280
2015-10-05 21:05 AVS Note Added: 0005914
2015-10-05 21:08 Povelitel Note Added: 0005916
2015-10-05 21:16 AVS Note Added: 0005919
2015-10-05 21:17 AVS Note Added: 0005920
2015-10-05 21:21 Povelitel Note Added: 0005921
2015-10-05 21:31 Povelitel Note Edited: 0005921 View Revisions
2015-10-05 22:31 AVS Note Added: 0005922
2015-10-06 09:28 Povelitel Note Added: 0005929
2015-10-06 11:03 AVS Note Added: 0005930
2016-09-24 06:51 AVS Note Added: 0006731
2016-09-24 07:08 AVS Note Added: 0006732
2016-09-24 07:08 AVS Status assigned => resolved
2016-09-24 07:08 AVS Fixed in Version => 0.99
2016-09-24 07:08 AVS Resolution open => fixed
2017-07-15 09:49 Povelitel Status resolved => closed

Site | Forums | Wiki | Slack | GitHub


Copyright © 2000 - 2018 MantisBT Team
Hosting provided by DigitalOcean